Get a list of skills

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/staff/v1/skills

This API endpoint returns paginated lists of skills. Data is sorted alphabetically by code. Pagination is fixed at 500 objects per page. An empty response indicates the final page.

Rate limit range : Standard

Query parameters

  • continuationToken string

    The continuation token which was received in the previous request. It contains information on the page to fetch. If not present, then the first page of results will be returned.

Responses

  • 200 application/json

    A list of skills.

    Hide response attributes Show response attributes object
    • continuationToken string | null

      Token that holds pagination information. Only sent if there are still pages of skills to be loaded.

    • data array[object] Required

      The list of skills.

      Hide data attributes Show data attributes object

      A skill for a field resource.

      • skillCode string Required

        Skill code. Case insensitive.

        Minimum length is 1, maximum length is 10.

      • name string Required

        Skill name.

        Minimum length is 1, maximum length is 30.

      • lastUpdate string(date-time) Required

        Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API.

  • 400 application/json

    Bad Request - invalid continuation token.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/staff/v1/skills
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/staff/v1/skills' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "continuationToken": "c2FqZGhmYmtrMzQ1YiBrZiA5MyBrYmdrcTg3MjMgazg5bm4gICAwNCAgbmVpcnQ4NzkzbiBnb3A4NA==",
  "data": [
    {
      "skillCode": "Fiber",
      "name": "FTTH",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "skillCode": "HIGH",
      "name": "High",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "skillCode": "HV",
      "name": "High voltage",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "skillCode": "LV",
      "name": "Low voltage",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    }
  ]
}
{
  "continuationToken": null,
  "data": [
    {
      "skillCode": "Fiber",
      "name": "FTTH",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "skillCode": "HIGH",
      "name": "High",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "skillCode": "HV",
      "name": "High voltage",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    },
    {
      "skillCode": "LV",
      "name": "Low voltage",
      "lastUpdate": "2025-11-09 23:30:00 UTC"
    }
  ]
}
{
  "continuationToken": null,
  "data": []
}
Response examples (400)
{
  "errors": [
    {
      "code": "referentials.continuationToken.invalid",
      "message": "The provided continuation token does not respect the expected format."
    }
  ],
  "errorReference": "59ddc09a23159395367307ab95b1c41a"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}